"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var AcknowledgeJob_1 = require("../model/operations/AcknowledgeJob");
var AcknowledgeJobCommand = /** @class */ (function () {
    function AcknowledgeJobCommand(input) {
        this.input = input;
        this.model = AcknowledgeJob_1.AcknowledgeJob;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    AcknowledgeJobCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return AcknowledgeJobCommand;
}());
exports.AcknowledgeJobCommand = AcknowledgeJobCommand;
//# sourceMappingURL=AcknowledgeJobCommand.js.map