"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetPipeline_1 = require("../model/operations/GetPipeline");
var GetPipelineCommand = /** @class */ (function () {
    function GetPipelineCommand(input) {
        this.input = input;
        this.model = GetPipeline_1.GetPipeline;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetPipelineCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetPipelineCommand;
}());
exports.GetPipelineCommand = GetPipelineCommand;
//# sourceMappingURL=GetPipelineCommand.js.map