"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetPipelineExecution_1 = require("../model/operations/GetPipelineExecution");
var GetPipelineExecutionCommand = /** @class */ (function () {
    function GetPipelineExecutionCommand(input) {
        this.input = input;
        this.model = GetPipelineExecution_1.GetPipelineExecution;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetPipelineExecutionCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetPipelineExecutionCommand;
}());
exports.GetPipelineExecutionCommand = GetPipelineExecutionCommand;
//# sourceMappingURL=GetPipelineExecutionCommand.js.map